import { OnDestroy, OnInit } from '@angular/core';
import { ViewState, ViewStateService } from '../../router/index';
export declare class FooterComponent implements OnDestroy, OnInit {
    private viewStateService;
    private state;
    private steps;
    translate: string;
    opacity: number;
    private subs;
    constructor(viewStateService: ViewStateService, state: ViewState, steps: number);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
